// INTERFACE.CPP

// Copyright (C) 2001 Tommi Hassinen.

// This program is free software; you can redistribute it and/or modify it
// under the terms of the license (GNU GPL) which comes with this package.

////////////////////////////////////////////////////////////////////////////////////////////////////

#include "interface.h"

#include "define.h"

////////////////////////////////////////////////////////////////////////////////////////////////////

all_atoms_interface::all_atoms_interface(void)
{
}

all_atoms_interface::~all_atoms_interface(void)
{
}

////////////////////////////////////////////////////////////////////////////////////////////////////

trajectory_interface::trajectory_interface(void)
{
	trajfile = NULL;
	
	total_traj_frames = NOT_DEFINED;
	current_traj_frame = NOT_DEFINED;
}

trajectory_interface::~trajectory_interface(void)
{
	if (trajfile != NULL) cout << "WARNING - trajectory file was not closed?!?!?!" << endl;
}

i32s trajectory_interface::GetTotalFrames(void)
{
	return total_traj_frames;
}

ifstream * trajectory_interface::GetTrajectoryFile(void)
{
	return trajfile;
}

i32s trajectory_interface::GetCurrentFrame(void)
{
	return current_traj_frame;
}

void trajectory_interface::SetCurrentFrame(i32s p1)
{
	current_traj_frame = p1;
}

////////////////////////////////////////////////////////////////////////////////////////////////////

// eof
